Bug 657698 - pkgenpack --updates says 'Failed to create '/root/updates-2010-11-27-fedora-14-i686.servicepack': The package id's '' are not valid'
Summary: pkgenpack --updates says 'Failed to create '/root/updates-2010-11-27-fedora-1...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 14
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-27 12:17 UTC by James
Modified: 2012-08-16 20:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 20:01:40 UTC
Type: ---


Attachments (Terms of Use)

Description James 2010-11-27 12:17:55 UTC
Description of problem:

Creation of service pack is broken.
Calling 'pkgenpack --updates' I get 'Failed to create '/root/updates-2010-11-27-fedora-14-i686.servicepack': The package id's '' are not valid


Version-Release number of selected component (if applicable):

Name        : PackageKit
Arch        : i686
Version     : 0.6.9
Release     : 4.fc14


How reproducible:

Yes


Steps to Reproduce:

[root@localhost ~]# pkgenpack --updates
  

Actual results

Creating service pack...
Getting updates     [=========================]         
Getting dependencies[=========================]         
Failed to create '/root/updates-2010-11-27-fedora-14-i686.servicepack': The package id's '' are not valid
:


Expected results:

A service pack in my dir with all updates since release

Comment 1 Richard Hughes 2010-11-28 09:43:07 UTC
What does "pkcon get-updates" say?

Comment 2 James 2010-11-28 18:18:51 UTC
[root@localhost ~]# pkcon get-updates
Getting updates               [=========================]         
Starting                      [=========================]         
Downloading repository information[=========================]         
Downloading list of packages  [=========================]         
Getting information           [=========================]         
Downloading update information[=========================]         
Downloading lists of changes  [=========================]         
Bug fix     	elfutils-0.150-1.fc14.i686              	A collection of utilities and DSOs to handle compiled objects
Bug fix     	elfutils-libelf-0.150-1.fc14.i686       	Library to read and write ELF files
Bug fix     	elfutils-libs-0.150-1.fc14.i686         	Libraries to handle compiled objects
Bug fix     	libgudev1-161-8.fc14.i686               	Libraries for adding libudev support to applications that use glib
Bug fix     	libudev-161-8.fc14.i686                 	Dynamic library to access udev device information
Bug fix     	parted-2.3-4.fc14.i686                  	The GNU disk partition manipulation program
Bug fix     	ppp-2.4.5-12.fc14.i686                  	The Point-to-Point Protocol daemon
Bug fix     	udev-161-8.fc14.i686                    	A rule-based device node and kernel event manager
Bug fix     	xkeyboard-config-1.9-7.fc14.noarch      	X Keyboard Extension configuration data
Bug fix     	xorg-x11-xkb-utils-7.5-1.fc14.i686      	X.Org X11 xkb utilities

Comment 3 James 2010-11-28 18:29:34 UTC
Thank you.

[root@localhost ~]# pkgenpack --updates
Creating service pack...
Getting updates     [=========================]         
Getting dependencies[=========================]         
Starting            [=========================]         
Getting information [=========================]         
Downloading packages[=========================]         
Starting            [=========================]         
Downloading packages[=========================]         
Copying files       [=========================]         
Service pack created '/root/updates-2010-11-28-fedora-14-i686.servicepack'

[root@localhost ~]# ls -l updates-2010-11-28-fedora-14-i686.servicepack 
-rw-r--r--. 1 root root 39154176 Nov 28 19:17 updates-2010-11-28-fedora-14-i686.servicepack

James

Comment 4 Richard Hughes 2010-11-29 09:25:56 UTC
Does it work correctly when not using root?

Comment 5 Fedora End Of Life 2012-08-16 20:01:43 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.